%define upstream_name      Net-SSLeay
%define upstream_version 1.36

Name:		    perl-%{upstream_name}
Version:	    %perl_convert_version %{upstream_version}
Release:	    %mkrel 9

Summary:	    Perl extension for using OpenSSL
License:	    BSD-like
Group:		    Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  openssl >= 0.9.3a
BuildRequires:	openssl-devel
BuildRequires:	perl-devel
BuildRequires:	zlib-devel

Requires:       openssl >= 0.9.3a
Provides:	    perl-Net_SSLeay = %{version}-%{release}
Provides:	    perl-Net_SSLeay.pm = %{version}-%{release}

%description
Perl extension for using OpenSSL.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%__chmod 755 examples

%build
# note the %{_prefix} which must passed to Makefile.PL, weird but necessary :-(
echo | %{__perl} Makefile.PL %{_prefix} INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"
perl -p -i -e 's|/usr/local/bin|/usr/bin|g;' *.pm examples/*

%check
# testing the package implies contacting external sites (some are down ?)
#make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes Credits README examples QuickRef META.yml
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net
%{_mandir}/*/*

%changelog
* Sat Jan 22 2011 jquelin <jquelin> 1.360.0-9.mga1
+ Revision: 31623
- rebuild
- mageia rebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.360.0-8.mga1
+ Revision: 23194
- rebuild for perl 5.12

* Mon Jan 17 2011 nanardon <nanardon> 1.360.0-7.mga1
+ Revision: 20809
- kill obsoletes (match nothing in previous distribution)

  + jquelin <jquelin>
    - imported package perl-Net-SSLeay

